Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036663
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajorhave not tried2017-08-17 17:032017-09-21 16:49
Reportermarkmm82View Statuspublic 
Assigned Tomarkmm82 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revision6700912c8eec
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036663: TaxesText junit test does 2.400 junit skip all the time

DescriptionTaxesTest is parametrized junit test-case. So some individual test-case will get called several times with different data.

For this the class contains the big param function defining 200 lines of data.

Then for each of the lines 4 individual junit testcase-types are run:
- testSalesOrder
- testPurchaseOrder
- testSalesInvoice
- testPurchaseInvoice

It just runs those 4 together so in the following treated as one block. Total testcases to run 800.

However:
of the 200 data lines each of those has 2 'flags: technically boolean values as part of the data
a.) isPriceIncludingTaxes
b.) isTaxDocumentLevel

For all 4 combination of those 2 booleans (ff, ft, tf, tt) there exist separate junit testcases (1 copy of the 4 above).
Note there is no overlap.

So for each of the 200 data lines
3 group say -> not for me -> SKIP -> 3*800 = 2400 skip
1 group says -> for me and runs 1*800 = 800 test-cases run

As there is 0 overlap between the 200 data-lines they can be just split into 4 groups matching the 4 groups of tests.

So each gets 'its' lines but not the others -> 2.4k skip gone.

It is needed only run those 800 tests and avoid those 2400 skip.
Steps To ReproduceRun TaxesText and you will see the 2400 skip
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0098537)
hgbot (developer)
2017-08-18 09:38

Repository: erp/devel/pi
Changeset: 6700912c8eec76b63dfad40e53e93ecf992bf124
Author: Mark <markmm82 <at> gmail.com>
Date: Thu Aug 17 11:57:01 2017 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/6700912c8eec76b63dfad40e53e93ecf992bf124 [^]

Fixes issue 36663: TaxesTest junit test does 2.400 junit skip all the time

Refactorized TaxesTest junit test to only run the needed 800 tests and avoid the 2400 skip.
To do that, were grouped methods with same logic and possible combinations into an unique
Test Case to run it once.

---
M src-test/src/org/openbravo/test/taxes/TaxesTest.java
---
(0098538)
hgbot (developer)
2017-08-18 09:39

Repository: erp/devel/pi
Changeset: 0e986cedf7be2c8fb96205eb5e9696826931a08e
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Fri Aug 18 09:37:27 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/0e986cedf7be2c8fb96205eb5e9696826931a08e [^]

Related to issue 36663: Code review improvements

Use OBDal.getInstance().getProxy() instead of OBDal.getInstance().get() to avoid initializing the object with a database read when not required.

---
M src-test/src/org/openbravo/test/taxes/TaxesTest.java
---
(0098539)
aferraz (developer)
2017-08-18 09:41

Code review + Testing OK
(0099313)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test
(0099314)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-08-17 17:03 markmm82 New Issue
2017-08-17 17:03 markmm82 Assigned To => markmm82
2017-08-17 17:03 markmm82 Modules => Core
2017-08-17 17:03 markmm82 Triggers an Emergency Pack => No
2017-08-18 09:38 hgbot Checkin
2017-08-18 09:38 hgbot Note Added: 0098537
2017-08-18 09:38 hgbot Status new => resolved
2017-08-18 09:38 hgbot Resolution open => fixed
2017-08-18 09:38 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/6700912c8eec76b63dfad40e53e93ecf992bf124 [^]
2017-08-18 09:39 hgbot Checkin
2017-08-18 09:39 hgbot Note Added: 0098538
2017-08-18 09:41 aferraz Review Assigned To => aferraz
2017-08-18 09:41 aferraz Note Added: 0098539
2017-08-18 09:41 aferraz Status resolved => closed
2017-08-18 09:41 aferraz Fixed in Version => 3.0PR17Q4
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099313
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099314


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker